/* Prevent <libxml/globals.h> from being included. */
#define __XML_GLOBALS_H

#include <libxml/parser.h>

/* Typedefs from <libxml/globals.h>. */
typedef void (*xmlRegisterNodeFunc) (xmlNodePtr node);
typedef void (*xmlDeregisterNodeFunc) (xmlNodePtr node);
typedef xmlParserInputBufferPtr (*xmlParserInputBufferCreateFilenameFunc) (const char *URI, xmlCharEncoding enc);
typedef xmlOutputBufferPtr (*xmlOutputBufferCreateFilenameFunc) (const char *URI, xmlCharEncodingHandlerPtr encoder, int compression);

#ifdef __cplusplus
extern "C" {
#endif

#ifdef LIBXML_DOCB_ENABLED
XMLPUBVAR xmlSAXHandlerV1 docbDefaultSAXHandler;
#endif

#ifdef LIBXML_HTML_ENABLED
XMLPUBVAR xmlSAXHandlerV1 htmlDefaultSAXHandler;
#endif

XMLPUBVAR xmlError xmlLastError;

/*
 * Everything starting from the line below is
 * Automatically generated by build_glob.py.
 * Do not modify the previous line.
 */

XMLPUBVAR int oldXMLWDcompatibility;

XMLPUBVAR xmlBufferAllocationScheme xmlBufferAllocScheme;

XMLPUBVAR int xmlDefaultBufferSize;

XMLPUBVAR xmlSAXHandlerV1 xmlDefaultSAXHandler;

XMLPUBVAR xmlSAXLocator xmlDefaultSAXLocator;

XMLPUBVAR int xmlDoValidityCheckingDefaultValue;

XMLPUBVAR xmlGenericErrorFunc xmlGenericError;

XMLPUBVAR xmlStructuredErrorFunc xmlStructuredError;

XMLPUBVAR void * xmlGenericErrorContext;

XMLPUBVAR void * xmlStructuredErrorContext;

XMLPUBVAR int xmlGetWarningsDefaultValue;

XMLPUBVAR int xmlIndentTreeOutput;

XMLPUBVAR const char * xmlTreeIndentString;

XMLPUBVAR int xmlKeepBlanksDefaultValue;

XMLPUBVAR int xmlLineNumbersDefaultValue;

XMLPUBVAR int xmlLoadExtDtdDefaultValue;

XMLPUBVAR int xmlParserDebugEntities;

XMLPUBVAR const char * xmlParserVersion;

XMLPUBVAR int xmlPedanticParserDefaultValue;

XMLPUBVAR int xmlSaveNoEmptyTags;

XMLPUBVAR int xmlSubstituteEntitiesDefaultValue;

XMLPUBVAR xmlRegisterNodeFunc xmlRegisterNodeDefaultValue;

XMLPUBVAR xmlDeregisterNodeFunc xmlDeregisterNodeDefaultValue;

XMLPUBVAR xmlParserInputBufferCreateFilenameFunc xmlParserInputBufferCreateFilenameValue;

XMLPUBVAR xmlOutputBufferCreateFilenameFunc xmlOutputBufferCreateFilenameValue;

#ifdef __cplusplus
}
#endif
